CA Directory : DXDISP and DXSYNTAX warning on 'min-auth' and 'auth-levels' values

book

Article ID: 16780

calendar_today

Updated On:

Products

DIRECTORY

Issue/Introduction



In CA Directory 12.6.04 version, on the host where you have {hostname}-management-ui DSA running along with other DSAs, you may receive following WARNING message when you execute 'dxdisp' and/or 'dxsyntax' command.

** ALARM **: DSA_W3180 Configuration: for multi-write to work, knowledge 'auth-levels' must include the configured 'authentication'/'min-auth' and should not contain gaps

Environment

Release: ETRDIR10600-12.6-Directory
Component:

Resolution

The above could happen if you have modified the product provided 'default.dxc' file under SETTINGS folder to have 'set min-auth = clear-password;' to be used with DSAs that you have created where in {dsaname}.dxc file under KNOWLEDGE folder you have 'auth-levels = clear-password' set.

 

The problem is, due to global knowledge check where the same 'default.dxc' file is being used by your {hostname}-management-ui DSA where by design has 'auth-levels = anonymous, clear-password;'.

 

While we address this in future release, the workaround is to remove 'anonymous' from 'auth-levels' value from {hostname}-management-ui.dxc file under KNOWLEDGE folder.